[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] dont die if you cant touch a file



---
 scripts/debian/link_morgue.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/debian/link_morgue.sh b/scripts/debian/link_morgue.sh
index b4dec53..2f434d8 100755
--- a/scripts/debian/link_morgue.sh
+++ b/scripts/debian/link_morgue.sh
@@ -117,7 +117,7 @@ while read mfile; do
             # will run and transfer the whole shitload of links over to the morgue host.
             ln -sf "${FARMBASE}/${LVL1}/${LVL2}/${mshasum}" "${mfile}"
         else
-            touch "${mfile}.nosnapshot"
+            touch "${mfile}.nosnapshot" || true
         fi
     fi
 done # for mfile in...
-- 
2.1.4


Reply to: